Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.charts
Class XSSFScatterChartData

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.charts.ChartData, org.apache.poi.ss.usermodel.charts.ScatterChartData

    public class XSSFScatterChartData

extends java.lang.Object
implements org.apache.poi.ss.usermodel.charts.ScatterChartData

Represents DrawingML scatter charts.

Author:
  Roman Kashitsyn

Constructor Summary
`XSSFScatterChartData()`

Method Summary
`org.apache.poi.ss.usermodel.charts.ScatterChartSerie` | `addSerie(org.apache.poi.ss.usermodel.charts.ChartDataSource xs, org.apache.poi.ss.usermodel.charts.ChartDataSource ys)`
`void` | `fillChart(org.apache.poi.ss.usermodel.Chart chart, org.apache.poi.ss.usermodel.charts.ChartAxis[] axis)`
`java.util.List` | `getSeries()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFScatterChartData

    public XSSFScatterChartData()

Method Detail

### addSerie

    public org.apache.poi.ss.usermodel.charts.ScatterChartSerie addSerie(org.apache.poi.ss.usermodel.charts.ChartDataSource xs,
                                                                         org.apache.poi.ss.usermodel.charts.ChartDataSource ys)

  Specified by:
    `addSerie` in interface `org.apache.poi.ss.usermodel.charts.ScatterChartData`

### fillChart

    public void fillChart(org.apache.poi.ss.usermodel.Chart chart,
                          org.apache.poi.ss.usermodel.charts.ChartAxis[] axis)

  Specified by:
    `fillChart` in interface `org.apache.poi.ss.usermodel.charts.ChartData`

### getSeries

    public java.util.List getSeries()

  Specified by:
    `getSeries` in interface `org.apache.poi.ss.usermodel.charts.ScatterChartData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD